util.ui.menu

## Class MenuUtil

- java.lang.Object
- - util.ui.menu.MenuUtil

-     public class MenuUtil
      extends java.lang.Object

  Created by: Martin Oberhauser (martin@tvbrowser.org) Date: 02.01.2005 Time: 19:07:40

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Font` | `CONTEXT_MENU_BOLDFONT`
    `static java.awt.Font` | `CONTEXT_MENU_BOLDITALICFONT`
    `static java.awt.Font` | `CONTEXT_MENU_ITALICFONT`
    `static java.awt.Font` | `CONTEXT_MENU_PLAINFONT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.JMenuItem` | `createMenuItem(ActionMenu menu)`
    `static javax.swing.JMenuItem` | `createMenuItem(ActionMenu menu, boolean setFont)`
    `static javax.swing.JMenuItem` | `createMenuItem(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_MENU_PLAINFONT

          public static final java.awt.Font CONTEXT_MENU_PLAINFONT

    - #### CONTEXT_MENU_BOLDFONT

          public static final java.awt.Font CONTEXT_MENU_BOLDFONT

    - #### CONTEXT_MENU_ITALICFONT

          public static final java.awt.Font CONTEXT_MENU_ITALICFONT

    - #### CONTEXT_MENU_BOLDITALICFONT

          public static final java.awt.Font CONTEXT_MENU_BOLDITALICFONT

  - ### Constructor Detail

    - #### MenuUtil

          public MenuUtil()

  - ### Method Detail

    - #### createMenuItem

          public static javax.swing.JMenuItem createMenuItem(java.lang.String title)

    - #### createMenuItem

          public static javax.swing.JMenuItem createMenuItem(ActionMenu menu)

    - #### createMenuItem

          public static javax.swing.JMenuItem createMenuItem(ActionMenu menu,
                                             boolean setFont)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)